Package org.apache.commons.math3.optim

# Class MaxIter

java.lang.Object
org.apache.commons.math3.optim.MaxIter

All Implemented Interfaces:
  `OptimizationData`

public class MaxIter extends Object implements OptimizationData
Maximum number of iterations performed by an (iterative) algorithm.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`MaxIter(int max)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxIter()`
Gets the maximum number of evaluations.
`static MaxIter`
`unlimited()`
Factory method that creates instance of this class that represents a virtually unlimited number of iterations.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaxIter

public MaxIter(int max)

Parameters:
  `max` - Allowed number of iterations.
Throws:
  `NotStrictlyPositiveException` - if `max <= 0`.

## Method Details

### getMaxIter

public int getMaxIter()
Gets the maximum number of evaluations.

Returns:
  the allowed number of evaluations.

### unlimited

public static MaxIter unlimited()
Factory method that creates instance of this class that represents a virtually unlimited number of iterations.

Returns:
  a new instance suitable for allowing `Integer.MAX_VALUE` evaluations.